New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
Get a table row by ID.
curl --request GET \
--url https://api.extruct.ai/v1/tables/{table_id}/rows/{row_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "running",
"columns": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"name": "<string>",
"key": "<string>",
"kind": "input"
}
}
],
"parent_row_id": "<string>",
"company_profile_id": "<string>",
"data": {},
"metadata": {},
"parent_data": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.extruct.ai/llms.txt
Use this file to discover all available pages before exploring further.
export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TABLE_ID="YOUR_TABLE_ID"
export ROW_ID="YOUR_ROW_ID"
curl --get "https://api.extruct.ai/v1/tables/${TABLE_ID}/rows/${ROW_ID}" \
-H "Authorization: Bearer ${EXTRUCT_API_TOKEN}"
table_id (required): target table identifier.row_id (required): target row identifier.id, data, and row metadata.
401 UnauthorizedAuthorization: Bearer ${EXTRUCT_API_TOKEN}.
404 Not FoundBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Row creation time.
running, idle Show child attributes
ID of the parent row, if any.
ID of the linked company profile.
Show child attributes
Additional metadata
Data from the parent row, if requested and available.
Show child attributes
curl --request GET \
--url https://api.extruct.ai/v1/tables/{table_id}/rows/{row_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "running",
"columns": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"name": "<string>",
"key": "<string>",
"kind": "input"
}
}
],
"parent_row_id": "<string>",
"company_profile_id": "<string>",
"data": {},
"metadata": {},
"parent_data": {}
}